package cn.ibizlab.r7.runtime.core.r7rt_base.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;
import java.math.BigDecimal;
import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.io.Serializable;

/**
 * 实体[登录账号密码]
 */
public class LoginAccountPwd implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 更新人
     */
    private String updateMan;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean updateManDirtyFlag;

    /**
     * 密码
     */
    private String pwd;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean pwdDirtyFlag;

    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp updateDate;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean updateDateDirtyFlag;

    /**
     * 建立人
     */
    private String createMan;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean createManDirtyFlag;

    /**
     * 登录账号密码名称
     */
    private String loginAccountPwdName;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean loginAccountPwdNameDirtyFlag;

    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp createDate;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean createDateDirtyFlag;

    /**
     * 是否启用
     */
    private Integer enable;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean enableDirtyFlag;

    /**
     * 登录账号密码标识
     */
    private String loginAccountPwdId;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean loginAccountPwdIdDirtyFlag;

    /**
     * 登录账号标识
     */
    private String loginAccountId;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean loginAccountIdDirtyFlag;


    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    @JSONField(name="updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    @JSONField(name="updateman")
    public void setUpdateMan(String updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }
    /**
     * 获取 [密码]
     */
    @JsonProperty("pwd")
    @JSONField(name="pwd")
    public String getPwd(){
        return this.pwd ;
    }

    /**
     * 设置 [密码]
     */
    @JsonProperty("pwd")
    @JSONField(name="pwd")
    public void setPwd(String pwd){
        this.pwd = pwd ;
        this.pwdDirtyFlag = true ;
    }

    /**
     * 获取 [密码]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getPwdDirtyFlag(){
        return this.pwdDirtyFlag ;
    }
    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    @JSONField(name="updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    @JSONField(name="updatedate")
    public void setUpdateDate(Timestamp updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }
    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    @JSONField(name="createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    @JSONField(name="createman")
    public void setCreateMan(String createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }
    /**
     * 获取 [登录账号密码名称]
     */
    @JsonProperty("loginaccountpwdname")
    @JSONField(name="loginaccountpwdname")
    public String getLoginAccountPwdName(){
        return this.loginAccountPwdName ;
    }

    /**
     * 设置 [登录账号密码名称]
     */
    @JsonProperty("loginaccountpwdname")
    @JSONField(name="loginaccountpwdname")
    public void setLoginAccountPwdName(String loginAccountPwdName){
        this.loginAccountPwdName = loginAccountPwdName ;
        this.loginAccountPwdNameDirtyFlag = true ;
    }

    /**
     * 获取 [登录账号密码名称]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getLoginAccountPwdNameDirtyFlag(){
        return this.loginAccountPwdNameDirtyFlag ;
    }
    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    @JSONField(name="createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    @JSONField(name="createdate")
    public void setCreateDate(Timestamp createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }
    /**
     * 获取 [是否启用]
     */
    @JsonProperty("enable")
    @JSONField(name="enable")
    public Integer getEnable(){
        return this.enable ;
    }

    /**
     * 设置 [是否启用]
     */
    @JsonProperty("enable")
    @JSONField(name="enable")
    public void setEnable(Integer enable){
        this.enable = enable ;
        this.enableDirtyFlag = true ;
    }

    /**
     * 获取 [是否启用]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getEnableDirtyFlag(){
        return this.enableDirtyFlag ;
    }
    /**
     * 获取 [登录账号密码标识]
     */
    @JsonProperty("loginaccountpwdid")
    @JSONField(name="loginaccountpwdid")
    public String getLoginAccountPwdId(){
        return this.loginAccountPwdId ;
    }

    /**
     * 设置 [登录账号密码标识]
     */
    @JsonProperty("loginaccountpwdid")
    @JSONField(name="loginaccountpwdid")
    public void setLoginAccountPwdId(String loginAccountPwdId){
        this.loginAccountPwdId = loginAccountPwdId ;
        this.loginAccountPwdIdDirtyFlag = true ;
    }

    /**
     * 获取 [登录账号密码标识]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getLoginAccountPwdIdDirtyFlag(){
        return this.loginAccountPwdIdDirtyFlag ;
    }
    /**
     * 获取 [登录账号标识]
     */
    @JsonProperty("loginaccountid")
    @JSONField(name="loginaccountid")
    public String getLoginAccountId(){
        return this.loginAccountId ;
    }

    /**
     * 设置 [登录账号标识]
     */
    @JsonProperty("loginaccountid")
    @JSONField(name="loginaccountid")
    public void setLoginAccountId(String loginAccountId){
        this.loginAccountId = loginAccountId ;
        this.loginAccountIdDirtyFlag = true ;
    }

    /**
     * 获取 [登录账号标识]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getLoginAccountIdDirtyFlag(){
        return this.loginAccountIdDirtyFlag ;
    }

}

